Ubuntu

KDM detected memory corruption

Reported by Oliver Klee on 2006-05-30
82
Affects Status Importance Assigned to Milestone
KDE Base
Invalid
Medium
kdelibs (Ubuntu)
High
Unassigned
Gutsy
High
Unassigned

Bug Description

Binary package hint: kdm

I'm using Kubuntu Dapper RC1 i386 (updated from Breezy) plus today's updates.

I've just found this in /var/log/daemon.log:

May 30 11:37:42 localhost kdm_greet[5011]: Can't open default user face
May 30 11:37:49 localhost kdm_greet[5011]: Internal error: memory corruption detected

I'm using an Nvidia card with restricted drivers.

Related branches

I've attached the latest kdm.log from my machine.

Luka Renko (lure) wrote :

I think this is duplicate of bug 37529 and bug 47142.

Not sure if upgrade from breezy -> dapper is the root cause for corrupted ~/.face.icon file.

I'm not completely sure if this is really a dupe of these two bugs: KDM starts just fine, and logging in works for me as well. I just get that warning in my logs. But maybe that is just the less severe case of the same problem.

roq-on (m-ndora) wrote :

 made an upgrade from breezy to dapper and since then KDE freezes. It's also impossible to change to konsole with Strg+Alt+F1.

var/log/syslog says after hardreset:

Jun 4 16:20:41 localhost kdm_greet[5332]: Internal error: memory corruption detected

I tried to change user picture, to change the KDM login theme and some other features. Without success. It happens from time to time again.

I read some similar bugs, but I cannot find any /.face.icon file.

Thanks in advance for any hint

Marco Cimmino (cimmo) wrote :

I've a fresh kubuntu 6.06 final and also for me it happens the "corruption".
I've a nvidia 6600gt with nvidia-glx driver.

I've done a switch user leaving mine open, and then back to mine, after some seconds computer crashed at all with a black screen and some artifact!
No mouse and keyboard!

Marco Cimmino (cimmo) wrote :

fresh install for me say that it is NOT an upgrade from breezy, but a new install.
I haven't ~/.face.icon file probably it crashed for that?

I too can confirm this bug for me. Kubuntu (upgraded from Breezy) with the 2.6.15-25-k7 kernel, NVidia Geforce 440 MX with the free driver ("nv").
Crashes happen from time to time, sometimes the machines doesn't even boot. No mouse and keyboard then, reset by powerbutton needed.

I have had this problem for some time:

I upgraded from Breezy to Dapper

KDE wouldn't work at all!

That turned out to be a problem with the Indic, Thai and other Asian fonts that had been installed along the way in the upgrade. Removing them caused KDM to behave itself.

I had the user face problem etc. Anyway I deleted the .face files and that went away. The memory corruption report has remained.

Still the memory corruption lines kept appearing in the log. Eventually I went to the Kcontrol panel and changed the KDM fonts from "Sans Serif" to "Bitstream Vera Sans". Behold no more memory corruption problems!!! Logs have been clear for a day.

I also had a terrible memory leak in X too. That seems to be gone.

My suggestion is that there is a certain intolerance in KDM towards some fonts...

Also other users work on my machine via LTSP. When they log off X disappears and I am left looking at the left over bootsplash screen CTRL + ALT + F7 returns to normal but this is a pain.

Andres Mujica (andres.mujica) wrote :

i've got this memory corruption message also.

haven't tested kevin suggestion yet.

Kevin: about your LTSP issue i'm getting same issue do you have a bug report on this??

Not yet. Will file a bug report on LTSP as it is still getting a problem.

Do you have the terrible X memory leak too?

Luka Renko (lure) wrote :

Confirmed on up-to-date Edgy with kde 3.5.5 (see bug 65689)

Changed in kdebase:
importance: Medium → High
status: Unconfirmed → Confirmed
Luka Renko (lure) wrote :

Correction: it was still on kde 3.5.4 on edgy

I can confirm this for Edgy current
(Kde 3.5.5, kdebase 4:3.5.5-0ubuntu3)

kitsaros (kitsaros) wrote :

i have the same problem... take a look here :

Nov 10 02:17:34 l-laptop kdm_greet[5196]: Can't open default user face
Nov 10 02:17:41 l-laptop kdm_greet[5196]: Internal error: memory corruption detected

i use the Kubuntu 6.10 (Edgy) what can i do?

Ditto on Feisty... the two error messages occur at different times, however:

"Can't open default user face" happens as KDM is opening (and removing my ~/.face.icon has nothing to do with it).

"Internal error: memory corruption detected" occurs *ater* starting to log in, and the login proceeds normally.

windbourne (bugs-raab) wrote :

Currently using Edgy with xen. Came across a lock up on my monitor. Upon checking the logs, I found similar messages.
First off, "Can't open default user face" is because the default faces are missing. Specifically, I did the following:

<CODE>
cd /usr/share/apps/kdm/faces/
ln -s ../pics/users/root1.png root.face.icon
ln -s ../pics/users/default2.png .default.face.icon
</CODE>

Issue solved on that message.

Earlier, I had no issues with kdm (or was not aware of any :) ). But when looking though the log files, I noticed that the corruption occurs in the tls arena:
<TEXT>
*** glibc detected *** -:0: double free or corruption (fasttop): 0x08076c68 ***
======= Backtrace: =========
/lib/tls/i686/cmov/nosegneg/libc.so.6[0xb7df52ad]
/lib/tls/i686/cmov/nosegneg/libc.so.6(__libc_free+0x84)[0xb7df5434]
/lib/libpam.so.0(_pam_free_data+0x65)[0xb7ee22c5]
/lib/libpam.so.0(pam_end+0x39)[0xb7ee1c79]
</TEXT>

So I did the standard fix for Xen and the tls; basically, I moved it out of the way:
<CODE>
mv /lib/tls /lib/tls.disabled
</CODE>

This seems to get rid of the kdm mem corrptn issue. But it does not solve my input lock ups (even though it appears that the input is being grabbed).

happy hunting.

windbourne (bugs-raab) wrote :

It appears that the kdm mem corruption problem is not gone. It still comes up, but is no longer causing an issue. But did solve the lock-up as being a swap issue with Kubuntu. Xorg and KDM were simply the symptom.

jcfp (jcfp) wrote :

Still there with kde 3.5.6 on edgy (packages from kubuntu.org)

Keller Baum (keller-baum) wrote :

Still there with 3.5.6 on feisty

Brian Visel (eode) wrote :

Yep, still there in feisty. I think this may be causing problems/freezes during shutdown. My system freezes if I try to shutdown/restart/logout from within kde. although it's fine if I just go to console and <ctrl>+<alt>+<del>, or shutdown -h now.

JW (arch0njw) wrote :

Adding my comment to add weight. I found this error in the course of trying to understand why vmware player will spontaneously die (big error message and exit). My system runs fine otherwise, but this, of course, is cause for a little concern.

2.6.20-15-generic #2 SMP Sun Apr 15 07:36:31 UTC 2007 i686 GNU/Linux

kdebase 3.5.6-0ubuntu20

I got also both of these errors on fresh Kubuntu Feisty Fawn install and I think they were a reason for some instabilities.
Both errors (and instabilities) disappeared when I disabled the faces completely (both settings for this).

I would recommend switching them off by default until the corruption bug is fixed so that people don't blaim (k)ubuntu for the bugs of one program.

Ariel Faigon (ariel.faigon) wrote :

I've been seeing this error ever since I switched to ubuntu (during the dapper days). It was there in edgy, and it is still there in feisty. I can't see anything wrong in the system. Everything just works during login, but the error is a bit disconcerting.

Looks like a kdm_greet bug to me. It always looks like this:

<code>
May 28 15:15:27 nu kdm: :0[4968]: (pam_unix) session opened for user myusername by (uid=0)
May 28 15:15:27 nu kdm_greet[5241]: Internal error: memory corruption detected
</code>

Michael (michaeljt) wrote :

This problem was preventing me from doing remote XDMCP logins. Thank you Kevin for your workaround above in comment 8! Can't this workaround be made default until the problem has been solved upstream?

You are most welcome - I'm glad to give a little back.

Are you getting the VT switch problem I wrote about? Every time a client logs
off the VT switches the server (which is my maiin client).

cheers,

Kevin

On Wednesday 13 June 2007, Michael wrote:
> This problem was preventing me from doing remote XDMCP logins. Thank
> you Kevin for your workaround above in comment 8! Can't this workaround
> be made default until the problem has been solved upstream?

--
Kevin Colyer
YWAM Brussels Team leader
Responsable de JEM Bruxelles

Avenue Des Celtes, 19
1040 Bruxelles
Belgium

Tel: +32 (0) 2 736 33 63
Fax: +32 (0) 2 738 02 40
GSM: +32 (0) 484 683 003
GSM: +44 (0) 7967 105 273 (only outside Belgium)
http://www.ywambrussels.be
skype: kevincolyerwork

Michael (michaeljt) wrote :

No, I was getting a gray screen when I tried to do a remote XDMCP login. That message in the syslog was the only clue I could find.

atollic (eu9645) wrote :

I have fresh installed Feisty and get the "kdm_greet[5241]: Internal error: memory corruption detected" message also.
When I start the machine, hard disk operates a while but screen stays black. If I wait a minute and then press ctrl+alt+delete, login screen appears. After that everything seems normal.
For several weeks my machine worked fine. This problem appeared recently.

Just to confirm on a clean Kubuntu 7.04 install, I get the messages in system log:

Jun 26 14:46:21 tp21 kdm_greet[5121]: Can't open default user face
Jun 26 14:46:48 tp21 kdm_greet[5121]: Internal error: memory corruption detected

but with no apparent ill effects.
I have no user face.

Confirming this too. I have a kubuntu 7.04 upgrade running KDE 3.5.6. I have an NVIDIA GeForce 6200 and use the NVIDIA driver from their website.

KDE does restart, sending me back to the login screen, but it's stable otherwise. It may just be me, but it seems to happen frequently when I run Adept to get updates.

I'm told that this is a X bug.

Is there anyone here who is *not* using a propriatory driver (including Nvidia from their site, ATI from their site), who is getting this bug?

Changed in kdebase:
status: Confirmed → Incomplete

I am using whatever video drivers are installed by default for an IBM TP21 with
graphics controller S3 Savage /IX-MV.
So I assume I am not using a propietary driver.

I should remind it does not happen under Ubuntu Feisty on the same machine.
The xorg.conf files are effectively the same.

Michael (michaeljt) wrote :

I am using XNest with XDMCP to log into the machine. Locally, the machine is using the "ati" driver on a Radeon X600, which I assume is the free driver (I certainly didn't download a proprietary one).

Ariel Faigon (ariel.faigon) wrote :

Another data point: I'm using the non-proprietary/free 'nv' driver from X.org according to my /etc/X11/xorg.conf

On Wednesday 27 June 2007, JacobSteelsmith wrote:
> Confirming this too. I have a kubuntu 7.04 upgrade running KDE 3.5.6. I
> have an NVIDIA GeForce 6200 and use the NVIDIA driver from their
> website.
>
> KDE does restart, sending me back to the login screen, but it's stable
> otherwise. It may just be me, but it seems to happen frequently when I
> run Adept to get updates.

I still get kdm_greet corruption errors. I'm usung Feisty, KDE 3.5.7 and the
native SiS drivers.

--
Kevin Colyer
YWAM Brussels Team leader
Responsable de JEM Bruxelles

Avenue Des Celtes, 19
1040 Bruxelles
Belgium

Tel: +32 (0) 2 736 33 63
Fax: +32 (0) 2 738 02 40
GSM: +32 (0) 484 683 003
GSM: +44 (0) 7967 105 273 (only outside Belgium)
http://www.ywambrussels.be
skype: kevincolyerwork

On Wednesday 27 June 2007, Sarah Hobbs wrote:
> I'm told that this is a X bug.
>
> Is there anyone here who is *not* using a propriatory driver (including
> Nvidia from their site, ATI from their site), who is getting this bug?
>
> ** Changed in: kdebase (Ubuntu Gutsy)
> Status: Confirmed => Incomplete

I still get kdm_greet corruption errors. I'm usung Feisty, KDE 3.5.7 and the
native SiS drivers.

--
Kevin Colyer
YWAM Brussels Team leader
Responsable de JEM Bruxelles

Avenue Des Celtes, 19
1040 Bruxelles
Belgium

Tel: +32 (0) 2 736 33 63
Fax: +32 (0) 2 738 02 40
GSM: +32 (0) 484 683 003
GSM: +44 (0) 7967 105 273 (only outside Belgium)
http://www.ywambrussels.be
skype: kevincolyerwork

> I'm told that this is a X bug.

How a memory corruption in an X client process (KDM greeter) could be an X server process issue?

> Is there anyone here who is *not* using a propriatory driver (including Nvidia from their site, ATI from their site), who is getting this bug?

I'm using the MGA driver which should be open source for my G550.

Daniel Hahler (blueyed) wrote :

I'm seeing the same problem.
However the workaround to change the fonts from Kevin (https://bugs.launchpad.net/ubuntu/gutsy/+source/kdebase/+bug/47455/comments/8) does not make a difference here.
I'm using nvidia binary drivers.

Oswald Buddenhagen (ossi-kde) wrote :

an upstream bug report finally arrived here: https://bugs.kde.org/show_bug.cgi?id=147454
please help if you feel qualified.

Changed in kdebase:
status: Incomplete → Confirmed
Changed in kdebase:
status: Unknown → New
Changed in kdebase:
status: New → Invalid
Marco Cimmino (cimmo) wrote :

seems that it's a specific Red Hat and Ubuntu patch:
kubuntu_28_fix_sudo.diff

that produce the problem, probably fixing that broken patch finally fix this bug ;)
I really don't know why this patch produce this bug, and why it's needed here.

Changed in kdebase:
assignee: nobody → jr
status: Confirmed → In Progress
Oswald Buddenhagen (ossi-kde) wrote :

the patch breaks kdm because it enforces a hard-coded $HOME, while kdm sets up its own one dynamically - it's not my fault that the admin and the system have the same user id on unix. :)

the patch is utterly misguided. not any applications, but sudo should be fixed. for su, the x-aware variant sux exists (dunno whether it handles ICEAUTHORITY properly - if not, that's another thing to fix). the same can be done with sudo, either directly in sudo or also with a wrapper script.

Changed in kdelibs:
assignee: jr → hobbsee

kdelibs (4:3.5.7-1ubuntu9) gutsy; urgency=low

  [ Anthony Mercatante ]
  * Fixed kubuntu_91_execute_feedback.patch again, improving the speed
    of the effect to 3

  [ Sarah Hobbs ]
  * Added kubuntu_93_kdelibs-kdesudo-support-wflags-and-kab-fix.diff.
    Thankyou to Stefan Skotte for this patch
  * Removed kubuntu_28_fix_sudo.diff to fix KDM memory corruption
    (LP: #47455, KDE bug #147454)

 -- Sarah Hobbs <email address hidden> Sat, 14 Jul 2007 01:51:38 +1000

Changed in kdelibs:
status: In Progress → Fix Released
Changed in kdebase:
importance: Unknown → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.